﻿using Microsoft.AspNetCore.Mvc;
using System;

using System.IO;
using Microsoft.AspNetCore.Hosting;

namespace Upload_Sketch_Server_Core_MVC.Controllers
{
    public class HomeController : Controller
    {
        private IWebHostEnvironment Environment;
        public HomeController(IWebHostEnvironment _environment)
        {
            this.Environment = _environment;
        }

        public IActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public IActionResult Index(string imageData)
        {
            string base64 = imageData.Split(',')[1];

            //Convert Base64 string to Byte Array.
            byte[] bytes = Convert.FromBase64String(base64);

            string folderPath = Path.Combine(this.Environment.WebRootPath, "Files");
            if (!Directory.Exists(folderPath))
            {
                Directory.CreateDirectory(folderPath);
            }

            //Save the Byte Array as Image File.
            System.IO.File.WriteAllBytes(string.Format("{0}\\{1}.png", folderPath, Path.GetRandomFileName()), bytes);
            return View();
        }
    }
}